Skip to main content
GET
/
v1
/
storage
/
objects
Get Object List from Storage
curl --request GET \
  --url https://{resource_uuid}.api.seahorse.dnotitia.ai/v1/storage/objects \
  --header 'Authorization: Bearer <token>'
{
  "code": 200,
  "data": {
    "metadata": {
      "file1.pdf": {
        "completed_chunks": 48,
        "completed_pages": 10,
        "created_at": "2026-01-19T11:55:17.448633+00:00",
        "current_stage": 6,
        "failed_pages": 0,
        "stage_name": "COMPLETED",
        "stage_status": "completed",
        "total_chunks": 48,
        "total_pages": 10,
        "updated_at": "2026-01-19T12:02:29.850770+00:00",
        "upload_status": "handed_off"
      },
      "file2.pdf": {
        "completed_chunks": 39,
        "completed_pages": 10,
        "created_at": "2026-01-19T11:55:24.701610+00:00",
        "current_stage": 6,
        "failed_pages": 0,
        "stage_name": "COMPLETED",
        "stage_status": "completed",
        "total_chunks": 39,
        "total_pages": 10,
        "updated_at": "2026-01-19T12:02:26.429813+00:00",
        "upload_status": "handed_off"
      }
    },
    "object_list": [
      "file1.pdf",
      "file2.pdf"
    ]
  },
  "exception": null,
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Include the token in the Authorization header as 'Bearer '

Query Parameters

path
string | null

Path(Key) of the objects to get. It ends with "/". e.g. "path/to/folder/"

extension
string | null

Extension of the objects to get. (e.g. "txt", "pdf", "parquet")

file_name
string | null

File name of the objects to get.

include_metadata
boolean | null

Include VSync processing metadata for each file. Default: false. When true, the response includes metadata field with processing status from vsync-light.

Response

Success to get object file list from storage.

code
integer<int32>
required

HTTP status code.

Required range: x >= 0
success
boolean
required

Whether the request was successful.

data
object
exception
object